: Class Graphcomm

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mpi
Class Graphcomm

    java.lang.Object
      |
      +--mpi.Comm
            |
            +--mpi.Intracomm
                  |
                  +--mpi.Graphcomm

public class Graphcomm
extends Intracomm

Fields inherited from class mpi.Comm
`handle, nullHandle, SELF, WORLD`

Constructor Summary
`protected` | `Graphcomm(long handle)`

Method Summary
`java.lang.Object` | `clone()`
`GraphParms` | `Get()` Returns graph topology information.
`int` | `Map(int[] index, int[] edges)` Compute an optimal placement.
`int[]` | `Neighbours(int rank)` Provides adjacency information for general graph topology.

Methods inherited from class mpi.Intracomm
`Allgather, Allgatherv, Allreduce, Alltoall, Alltoallv, Barrier, Bcast, Creat, Create_cart, Create_graph, Gather, Gatherv, Reduce_scatter, Reduce, Scan, Scatter, Scatterv, Split`

Methods inherited from class mpi.Comm
`Abort, Attr_get, Bsend_init, Bsend, Compare, Create_intercomm, dup, Errhandler_set, Errorhandler_get, Free, GetIntercomm, Group, Ibsend, Ibsend, Iprobe, Irecv, Irsend, Irsend, Is_null, Isend, Isend, Issend, Issend, Object_Deserialize, Object_Serialize, Pack_size, Pack, Probe, Rank, Recv_init, Recv, Rsend_init, Rsend, Send_init, Send, Sendrecv_replace, Sendrecv, Size, Ssend_init, Ssend, Test_inter, Topo_test, Unpack`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Graphcomm

    protected Graphcomm(long handle)

Method Detail

### Get

    public GraphParms Get()
                   throws MPIException

  Returns graph topology information.

  returns: | object defining node degress and edges of graph

  Java binding of the MPI operation `MPI_GRAPHDIMS_GET`.

  The number of nodes and number of edges can be extracted from the sizes of the `index` and `edges` fields of the returned object.

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class Intracomm

### Neighbours

    public int[] Neighbours(int rank)
                     throws MPIException

  Provides adjacency information for general graph topology.

  `rank` | rank of a process in the group of this communicator
  returns: | array of ranks of neighbouring processes to one specified

  Java binding of the MPI operations `MPI_GRAPH_NEIGHBOURS_COUNT` and `MPI_GRAPH_NEIGHBOURS`.

  The number of neighbours can be extracted from the size of the result.

### Map

    public int Map(int[] index,
                   int[] edges)
            throws MPIException

  Compute an optimal placement.

  `index` | node degrees
  `edges` | graph edges
  returns: | reordered rank of calling process

  Java binding of the MPI operation `MPI_GRAPH_MAP`.

  The number of nodes is taken to be size of the `index` argument.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD